Package: org.grails.cli.boot

## [Java] Class GrailsApplicationCompilerAutoConfiguration.GrailsDependencies

- org.grails.cli.boot.GrailsApplicationCompilerAutoConfiguration.GrailsDependencies

- All Implemented Interfaces and Traits:
    org.springframework.boot.cli.compiler.dependencies.DependencyManagement

      class GrailsApplicationCompilerAutoConfiguration.GrailsDependencies

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.String>` | `artifactToGroupAndArtifact` |
    `private java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency>` | `dependencies` |
    `private java.util.Map<java.lang.String, org.springframework.boot.cli.compiler.dependencies.Dependency>` | `groupAndArtifactToDependency` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsDependencies (java.util.List<org.eclipse.aether.graph.Dependency> dependencies)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.boot.cli.compiler.dependencies.Dependency` | `find(java.lang.String artifactId)`
    `` | `public java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency>` | `getDependencies()`
    `` | `public java.lang.String` | `getSpringBootVersion()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.String> artifactToGroupAndArtifact

    - #### private java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency> dependencies

    - #### private java.util.Map<java.lang.String, org.springframework.boot.cli.compiler.dependencies.Dependency> groupAndArtifactToDependency

  - ### Constructor Detail

    - #### public GrailsDependencies(java.util.List<org.eclipse.aether.graph.Dependency> dependencies)

  - ### Method Detail

    - #### @java.lang.Override public org.springframework.boot.cli.compiler.dependencies.Dependency find(java.lang.String artifactId)

    - #### @java.lang.Override public java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency> getDependencies()

    - #### @java.lang.Override public java.lang.String getSpringBootVersion()